Bug 1314739 - The X server of Xen rhel5.11 can't start successfully after converted by virt-p2v
The X server of Xen rhel5.11 can't start successfully after converted by virt...
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libguestfs (Show other bugs)
7.3
x86_64 Unspecified
medium Severity medium
: rc
: ---
Assigned To: Richard W.M. Jones
Virtualization Bugs
P2V
:
Depends On:
Blocks: 1473046
  Show dependency treegraph
 
Reported: 2016-03-04 06:39 EST by xiaodwan
Modified: 2017-07-24 04:50 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
virt-p2v log (780.00 KB, application/x-tar)
2016-03-04 06:42 EST, xiaodwan
no flags Details
/etc/X11/xorg.conf file (568 bytes, text/plain)
2016-03-06 22:18 EST, xiaodwan
no flags Details

  None (edit)
Description xiaodwan 2016-03-04 06:39:17 EST
Description of problem:
The X server of Xen rhel5.11 can't start successfully after converted by virt-p2v

Version-Release number of selected component (if applicable):
# rpm -q libguestfs virt-v2v virt-p2v
libguestfs-1.32.3-1.el7.x86_64
virt-v2v-1.32.3-1.el7.x86_64
virt-p2v-1.28.1-1.51.4.el7.iso

How reproducible:
100%

Steps to Reproduce:
1. Prepare a Xen rhel5.11 VM as xen server and make sure it has two disks.
2. Install a new vm into disk 2 on the above xen server.

Actually i use the xen vm which created when verifing bug 1283588.

3. Attach virt-p2v iso to the xen vm and boot it by cdrom.
4. Use virt-p2v to convert the xen host to libvirt
5. Start the vm.

Actual results:
The x server can't startup sucessfully. I checked the xml of the generated guest, the video type is *qxl*, but driver is "cirrus" in /etc/X11/xorg.conf in the guest.

<graphics type='vnc' port='-1' autoport='yes'/>
    <video>
      <model type='qxl' ram='65536' vram='65536' vgamem='16384' heads='1'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x02' function='0x0'/>
    </video>

Expected results:
The driver should be qxl in /etc/X11/xorg.conf and x server should startup sucessfully.


Additional info:
I replaced disk 2 with a blank disk, or with another image has os installed, or remove disk 2. And can't reproduce it.
Comment 1 xiaodwan 2016-03-04 06:42 EST
Created attachment 1133148 [details]
virt-p2v log
Comment 3 Richard W.M. Jones 2016-03-04 07:42:32 EST
Some observations:

The guest has xorg-x11-drv-qxl installed.  That doesn't matter because
QXL can fall back to emulating VESA VGA.

/files/etc/X11/xorg.conf/Device/Driver exists.

virt-v2v modifies /files/etc/X11/xorg.conf/Device/Driver with no error.

I'll have to try reproducing this one.
Comment 4 xiaodwan 2016-03-06 22:18 EST
Created attachment 1133602 [details]
/etc/X11/xorg.conf file
Comment 5 Richard W.M. Jones 2017-03-28 10:28:22 EDT
Out of development time for RHEL 7.4.  Moving to RHEL 7.5.

Note You need to log in before you can comment on or make changes to this bug.